### Method

# GLib VariantType peek_string

since: 2.24

#### Declaration

    const gchar*
    g_variant_type_peek_string (
      const GVariantType* type
    )

#### Description

Returns the type string corresponding to the given `type`. The result is not nul-terminated; in order to determine its length you must call g_variant_type_get_string_length().

To get a nul-terminated string, see g_variant_type_dup_string().

Available since: 2.24

This method is not directly available to language bindings.

#### Return value

Type: `const gchar*`

The corresponding type string (not nul-terminated)

Since 2.24

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.